val scala3Version = "3.3.1"

val keycloakVersion = "23.0.6"
val keycloakDeps = Seq(
  "org.keycloak" % "keycloak-core" % keycloakVersion % "provided",
  "org.keycloak" % "keycloak-server-spi" % keycloakVersion % "provided",
  "org.keycloak" % "keycloak-server-spi-private" % keycloakVersion % "provided"
)

val deps = Seq(
  "com.lihaoyi" %% "upickle" % "3.2.0",
  "com.lightbend.akka" %% "akka-stream-alpakka-mqtt" % "7.0.1",
  "com.typesafe.akka" %% "akka-stream" % "2.9.0"
)

lazy val root = project
  .in(file("."))
  .settings(
    name := "keycloak-event-listener-mqtt",
    version := keycloakVersion,
    scalaVersion := scala3Version,
    resolvers += "Akka library repository".at("https://repo.akka.io/maven"),
    libraryDependencies ++= keycloakDeps,
    libraryDependencies ++= deps
  )
