package net.dergrimm.keycloak.providers.events.mqtt

import org.keycloak.events.Event
import org.keycloak.events.admin.AdminEvent
import upickle.default.ReadWriter

object PayloadAuthDetails:
  def fromEvent(event: Event): PayloadAuthDetails =
    PayloadAuthDetails(
      realmId = event.getRealmId(),
      clientId = event.getClientId(),
      userId = event.getUserId(),
      ipAddress = event.getIpAddress()
    )

  def fromEvent(event: AdminEvent): PayloadAuthDetails =
    val auth = event.getAuthDetails()

    PayloadAuthDetails(
      realmId = auth.getRealmId(),
      clientId = auth.getClientId(),
      userId = auth.getClientId(),
      ipAddress = auth.getIpAddress()
    )

private final case class PayloadAuthDetails(
    realmId: String,
    clientId: String,
    userId: String,
    ipAddress: String
) derives ReadWriter
